aboutsummaryrefslogtreecommitdiff
path: root/config
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--config/zsh/aliases/git.zsh10
-rw-r--r--config/zsh/zshrc2
-rw-r--r--configuration.nix26
3 files changed, 33 insertions, 5 deletions
diff --git a/config/zsh/aliases/git.zsh b/config/zsh/aliases/git.zsh
index 9611a16..f85ff22 100644
--- a/config/zsh/aliases/git.zsh
+++ b/config/zsh/aliases/git.zsh
@@ -108,3 +108,13 @@ ghpr() {
xdg-open "$(gh pr view --json url -q .url)"
}
+# rename a git branch interactively
+gbrn() {
+ branch=$(git rev-parse --abbrev-ref HEAD);
+ tmp=$(mktemp -u /tmp/__git_branch_rename.XXXX);
+ trap "rm -rf $tmp" EXIT;
+ echo -n "$branch" > "$tmp";
+ $EDITOR "$tmp";
+ new_branch="$(cat $tmp)"
+ [ -z "$new_branch" ] || git branch -m "$new_branch";
+}
diff --git a/config/zsh/zshrc b/config/zsh/zshrc
index 806697d..0f73495 100644
--- a/config/zsh/zshrc
+++ b/config/zsh/zshrc
@@ -3,7 +3,7 @@ setopt auto_cd;
setopt inc_append_history;
export LESS="-R --chop-long-lines" # less no wrapping
-export MANPAGER="nvim +Man\!" # man pager with nvim
+# export MANPAGER="nvim +Man\!" # man pager with nvim
export SAVEHIST=10000
# export HISTSIZE=50000
diff --git a/configuration.nix b/configuration.nix
index e2e54a6..7f94e62 100644
--- a/configuration.nix
+++ b/configuration.nix
@@ -1,4 +1,4 @@
-{ pkgs, ... }:
+{ pkgs, lib, ... }:
{
imports = [
@@ -15,7 +15,7 @@
./modules/sound
./modules/notifications
./modules/kakoune
- ./modules/ai
+ # ./modules/ai
];
nixpkgs.config = {
@@ -23,6 +23,14 @@
allowBroken = false;
};
+ services.clipmenu = {
+ enable = true;
+ };
+ systemd.user.services.clipmenu = {
+ wantedBy = lib.mkForce [ "default.target" ];
+ after = lib.mkForce [ "default.target" ];
+ };
+
services.udisks2.enable = true;
programs.dconf.enable = true;
@@ -49,8 +57,17 @@
hostName = "smartfridge";
firewall = {
enable = true;
- allowedTCPPorts = [ 3000 3001 80 443 ];
- allowedUDPPorts = [ 41641 80 443 ];
+ allowedTCPPorts = [
+ 8081
+ 3000
+ 3001
+ 22000 # Syncthing
+ ];
+ allowedUDPPorts = [
+ 41641 # Tailscale
+ 22000 # Syncthing
+ 21027 # Syncthing (discovery)
+ ];
};
nameservers = [ "100.100.100.100" "1.1.1.1" "8.8.8.8" ];
search = [ "resolve.construction" ];
@@ -115,6 +132,7 @@
};
};
fonts.packages = with pkgs; [
+ # nerd-fonts._3270
nerd-fonts.jetbrains-mono
cozette
noto-fonts-color-emoji